<template>
  <div class="app_build_step" v-if="isActive">
    <slot></slot>
  </div>
</template>

<script>
export default {
  name: "appBuildStep",
  props: {
    title: {
      type: String,
      required: true,
    },
    step: {
      type: Number,
      required: true,
    },
    activeIcon: {
      type: String,
      default: () => "",
    },
  },
  data: () => ({}),
  computed: {
    isActive() {
      return this.$parent.activeStep === this.step;
    },
  },
  mounted() {
    console.log();
  },
};
</script>
